## org.eclipse.jet.xpath
Interface XPathFunctionWithContext

    public interface XPathFunctionWithContext

Marker interface for XPathFunctions that require the XPath Context passed as an argument. If this marker is implemented, then `setContext(Context)` is called immediately before `XPathFunction.evaluate(java.util.List)`.

Method Summary
`void` `setContext(Context context)` Set the XPath context to use during evaluation of the function.

Method Detail

### setContext

    void setContext(Context context)

  Set the XPath context to use during evaluation of the function.

  Parameters:
    `context` - the XPath context object. Will not be `null`.

Copyright 2006 IBM Corporation and others. All Rights Reserved.